Bug 260821 - ia64 compiler loops on a mysql source file
ia64 compiler loops on a mysql source file
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: gcc (Show other bugs)
4.0
ia64 All
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
http://brewweb.devel.redhat.com/brew/...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-28 12:28 EDT by Tom Lane
Modified: 2013-07-02 23:15 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 11:59:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
sql_table.ii temp file, as requested (180.94 KB, application/octet-stream)
2007-09-06 14:21 EDT, Tom Lane
no flags Details

  None (edit)
Description Tom Lane 2007-08-28 12:28:30 EDT
Description of problem:
cc1plus goes into an infinite loop on a source file that hasn't changed at all since the last successful 
build (which was on 2 Apr and used gcc-3.4.6-3.1).  Fails only on ia64 --- all seems well on the other 
six arches.

Version-Release number of selected component (if applicable):
gcc-3.4.6-8

How reproducible:
Apparently 100% --- failed on two different brew machines

Steps to Reproduce:
1.  Try to build yesterday's CVS-tip RHEL4 mysql SRPM.
  
Actual results:
ia64 build never completes ---stuck on sql/sql_table.cc

Expected results:


Additional info:
I imagine you'd prefer a smaller test case --- do you want g++ -E output or some such?

I've found that reducing the optimization level from -O2 to -O1 allows the build to go through,
so a fix is not urgent.
Comment 1 Jakub Jelinek 2007-08-28 12:39:51 EDT
I imagine you'd prefer a smaller test case --- do you want g++ -E output or some
such?

Yes please, run it with -save-temps additional option and post sql_table.ii
it creates.  Thanks.
Comment 2 Tom Lane 2007-09-06 14:21:18 EDT
Created attachment 189071 [details]
sql_table.ii temp file, as requested
Comment 3 Tom Lane 2007-09-06 14:24:26 EDT
Temp file attached.  In case you need it, the full compile command is

g++ -DMYSQL_SERVER -DDEFAULT_MYSQL_HOME="\"/usr\"" -DDATADIR="\"/var/lib/mysql\"" -
DSHAREDIR="\"/usr/share/mysql\"" -DHAVE_CONFIG_H -I. -I. -I.. -I../bdb/build_unix -I../innobase/
include -I../include -I../include -I../regex -I.     -DDBUG_OFF -O2 -g -pipe -D_GNU_SOURCE -
D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -fno-strict-aliasing -fno-rtti -fno-exceptions   -fno-
implicit-templates -fno-exceptions -fno-rtti -c -o sql_table.o sql_table.cc
Comment 4 Jiri Pallich 2012-06-20 11:59:10 EDT
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.

Note You need to log in before you can comment on or make changes to this bug.